| Streamaxia Open SDK 3.2

List of all members
AXReachability Class Reference

`#import <AXReachability.h>`

Inheritance diagram for AXReachability:

## Instance Methods
Public methods
(BOOL) | - startMonitoringNetworkStatus
(void) | - stopMonitoringNetworkStatus
(NSString *) | - debugFlagsString
(NSString *) | - debugDescription

## Class Methods
Lifecycle
(instancetype) | + reachabilityWithHostName:
(instancetype) | + reachabilityWithHostAddress:
(instancetype) | + reachabilityForInternetConnection
(instancetype) | + reachabilityForLocalWiFi

## Properties
Properties
void(^ | networkDidBecomeReachableBlock )(AXNetworkStatus status)
void(^ | networkDidBecomeUnreachableBlock )(void)
void(^ | networkDidChangeReachabilityBlock )(AXNetworkStatus status)
BOOL | isConnectionRequired
BOOL | isConnectionOnDemand
BOOL | isUserInteractionRequired
BOOL | isReachable
BOOL | isReachableOnWiFi
BOOL | isReachableOnWWAN
BOOL | didStartMonitoringNetworkStatus
AXNetworkStatus | currentReachabilityStatus
NSString * | currentReachabilityString

## Detailed Description

The network reachability monitor.

## Method Documentation

## ◆ debugDescription()

- (NSString *) debugDescription |  |  |

Get the object description, for debug purposes. Use this for debugging.

Returns
  The object description.

## ◆ debugFlagsString()

- (NSString *) debugFlagsString |  |  |

Get the network flags as a string. Use this for debugging.

Returns
  The flags string.

## ◆ reachabilityForInternetConnection()

+ (instancetype) reachabilityForInternetConnection |  |  |

Factory method for creating a network reachability object for monitoring internet reachability.

Returns
  The initialized object.

## ◆ reachabilityForLocalWiFi()

+ (instancetype) reachabilityForLocalWiFi |  |  |

Factory method for creating a network reachability object, for monitoring internet reachability on WiFi only.

Returns
  The initialized object.

## ◆ reachabilityWithHostAddress:()

+ (instancetype) reachabilityWithHostAddress: |  | (void *) | hostAddress |

Factory method for creating a network reachability object, using a host address.

Parameters

  hostAddress | The host address (a reference to a sockaddr_in variable).

Returns
  The initialized object.

## ◆ reachabilityWithHostName:()

+ (instancetype) reachabilityWithHostName: |  | (NSString *) | hostName |

Factory method for creating a network reachability object, using a host name.

Parameters

  hostName | The host name (e.g. www.apple.com).

Returns
  The initialized object.

## ◆ startMonitoringNetworkStatus()

- (BOOL) startMonitoringNetworkStatus |  |  |

Start monitoring the network status updates. To be informed about the changes, either subscribe to the notifications (kAXReachabilityDidChangeNotification) or use the desired blocks to monitor the changes (networkDidBecomeReachableBlock, networkDidBecomeUnreachableBlock or networkDidChangeReachabilityBlock).

Returns
  YES if the monitoring was started with success, NO otherwise.

## ◆ stopMonitoringNetworkStatus()

- (void) stopMonitoringNetworkStatus |  |  |

Stop monitoring the network status updates.

## Property Documentation

## ◆ currentReachabilityStatus

- (AXNetworkStatus) currentReachabilityStatus
| read nonatomic assign

The current network reachability status.

## ◆ currentReachabilityString

- (NSString*) currentReachabilityString
| read nonatomic strong

The current network reachability, as a readable string.

## ◆ didStartMonitoringNetworkStatus

- (BOOL) didStartMonitoringNetworkStatus
| read nonatomic assign

Returns YES if the monitoring of network status was started.

## ◆ isConnectionOnDemand

- (BOOL) isConnectionOnDemand
| read nonatomic assign

Rturns YES if the connection required is on-demand (it is not dynamic).

## ◆ isConnectionRequired

- (BOOL) isConnectionRequired
| read nonatomic assign

Returns YES if a connection is required.

## ◆ isReachable

- (BOOL) isReachable
| read nonatomic assign

Returns YES if the network is reachable (either on cellular or WiFi).

## ◆ isReachableOnWiFi

- (BOOL) isReachableOnWiFi
| read nonatomic assign

Returns YES if the network is reachable on the local WiFi.

## ◆ isReachableOnWWAN

- (BOOL) isReachableOnWWAN
| read nonatomic assign

Returns YES if the network is reachable on the cellular network.

## ◆ isUserInteractionRequired

- (BOOL) isUserInteractionRequired
| read nonatomic assign

Returns YES if the user intervetion is required to make a connection.

## ◆ networkDidBecomeReachableBlock

- (void(^ networkDidBecomeReachableBlock) (AXNetworkStatus status))
| read write nonatomic copy

The block called when the network becomes reachable. The monitoring must be on in order to be notified of network status changes.

## ◆ networkDidBecomeUnreachableBlock

- (void(^ networkDidBecomeUnreachableBlock) (void))
| read write nonatomic copy

The block called when the network becomes unreachable. The monitoring must be on in order to be notified of network status changes.

## ◆ networkDidChangeReachabilityBlock

- (void(^ networkDidChangeReachabilityBlock) (AXNetworkStatus status))
| read write nonatomic copy

The block called when the network reachability status changes. The monitoring must be on in order to be notified of network status changes.

The documentation for this class was generated from the following file:

- /Users/mac/Documents/StreamaxiaSDK/Streamaxia Open SDK/StreamaxiaSDK.framework/Headers/AXReachability.h